# $Revision: 1.31 $, $Date: 2004/07/04 22:08:38 $
Summary:	Tk interface for CVS
Summary(pl):	Interfejs Tk dla CVS
Name:		tkcvs
Version:	7.2.1
%define tar_version	%(echo %{version} | tr . _)
Release:	2
License:	GPL
Group:		Development/Version Control
Source0:	http://www.twobarleycorns.net/%{name}_%{tar_version}.tar.gz
# Source0-md5:	a552cdccd7cde73eaa8a41294f499cfc
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-EDITOR.patch
URL:		http://www.twobarleycorns.net/tkcvs.html
Icon:		tkcvs.xpm
BuildRequires:	perl-base
BuildRequires:	tcl
Requires:	cvs
Requires:	rcs
Requires:	tcl
Requires:	tk >= 8.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%define _ulibdir /usr/lib

%description
TkCVS is a Tcl/Tk-based graphical interface to the CVS configuration
management system.  It displays the status of the files in the current
working directory, and provides buttons and menus to execute CVS commands
on the selected files.  TkDiff is included for browsing and merging your
changes.

%description -l pl
TkCVS jest opartym o Tcl/Tk graficznym interfejsem do systemu zarzdania
wersjami CVS. Program wywietla stan plikw w aktualnym katalogu roboczym,
potrafi wywietki histori wybranego pliku w postaci wykresu oraz pozwala
na wykonywanie polece CVS przy uyciu menu i guzikw. W skad pakietu
wchodzi TkDiff - narzdzie do przegldania i czenia naniesionych
modyfikacji.

%prep
%setup -q -n %{name}_%{tar_version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_mandir}/man1}

./doinstall.tcl -nox -finallib %{_ulibdir} $RPM_BUILD_ROOT%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install tkcvs/tkcvs.1 $RPM_BUILD_ROOT%{_mandir}/man1/tkcvs.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ vendor5readme.pdf
%attr(755,root,root) %{_bindir}/*
%{_ulibdir}/tkcvs
%{_desktopdir}/*
%{_pixmapsdir}/tkcvs.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tkcvs.spec,v $
Revision 1.31  2004/07/04 22:08:38  adamg
- applnk -> vfolders; release 2

Revision 1.30  2004/05/01 19:01:14  adamg
- uncommented icon

Revision 1.29  2004/05/01 19:00:53  adamg
- updated to 7.2.1

Revision 1.28  2004/02/21 22:37:47  qboosh
- s/perl/perl-base/

Revision 1.27  2004/02/21 19:52:33  blues
- cosmetics

Revision 1.26  2004/01/05 02:24:11  undefine
- use ulibdir, not libdir. release 1

Revision 1.25  2004/01/04 10:46:19  adamg
- updated to 7.2
- removed perl_path patch

Revision 1.24  2003/10/21 08:00:41  adamg
- updated to 7.1.3

Revision 1.23  2003/09/20 01:34:37  adamg
- updated to 7.1.2
- fixed filename in Source0
- added md5sum
- builds, release 0.1

Revision 1.22  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/05/25 06:27:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/13 12:12:19  mguevara
- release 3.1 (version 7.0.3)
- added patch for man page generation tool (correct perl path)
- changed english and polish description
- installs manpage in %{_mandir} not in the /usr/man
- BR: perl (for manpage)
- added -nox to doinstall.tcl - do not make connection
  to an X server during build process
- STBR (tested on nest, but should work on ra too)

Revision 1.19  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.18  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.17  2002/05/29 21:27:50  ankry
- applnk icon made transparent
- release 3, STBR

Revision 1.16  2002/05/27 22:17:44  ankry
- added icons and desktop
- release 2, STBR

Revision 1.15  2002/04/03 06:10:48  kloczek
- removed commented lines in %%install.

Revision 1.14  2002/04/02 22:02:17  ankry
- taught to use $EDITOR from evirenment (patch0)
- fixed path for lib searching
- works, stb

Revision 1.13  2002/04/02 10:25:50  ankry
- fixed URLs
- updated to 7.0.3, release 1
- replaced manual instalation by enclosed tcl instalation script
- Requires: tk; BR: tcl
- not tested yet

Revision 1.12  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/02 10:52:56  blues
- updated path for sources, URL added

Revision 1.9  2001/10/10 00:15:20  blues
- typo

Revision 1.8  2001/10/09 13:04:13  qboosh
- use %%{_*dir} macros, don't gzip man pages in spec

Revision 1.7  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.6  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.4  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %%changelog (for automating them).

* Thu Mar 25 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [6.0-3]
- removed man group from man pages,
- added "Requires: tcl",
- removed Requires (autogenerate).

* Wed Dec 23 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release
